using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GC_Combo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //BindingList<MyObjects> list = new BindingList<MyObjects>();
             List<MyObjects> list = new  List<MyObjects>();
            list.Add(new MyObjects("one", 1));
            list.Add(new MyObjects("two", 2));
            list.Add(new MyObjects("three", 3));
            list.Add(new MyObjects("four", 4));
            list.Add(new MyObjects("five", 5));


            GridStyleInfo style = this.gridControl1.ColStyles[2];
            style.CellType = "ComboBox";
            style.ValueMember = "ID";
            style.DisplayMember = "Name";
            style.DataSource = list;

            gridControl1[1, 2].CellValue = 3;
            gridControl1[2, 2].CellValue = 2;
            gridControl1[3, 2].CellValue = 4;

        }

        public class MyObjects
        {
            public MyObjects(string name, int id)
            {
                this.name = name;
                this.id = id;
            }

            string name;

            public string Name
            {
                get { return name; }
                set { name = value; }
            }

            int id;

            public int ID
            {
                get { return id; }
                set { id = value; }
            }
        }
    }
}